using Microsoft.EntityFrameworkCore;
using PARR.AIHITMainLoader.Models;

namespace PARR.AIHITMainLoader.Context
{
    internal class AIHITContext : DbContext
    {
        public AIHITContext(DbContextOptions<AIHITContext> options) : base(options) { }


        public DbSet<CvkData> CvkDatas { get; set; }
        public DbSet<PtkData> PtkDatas { get; set; }
        public DbSet<PtkData> RegEKDatas { get; set; }
        public DbSet<PtkData> StoDatas { get; set; }
        public DbSet<PtkData> OrgDatas { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            //Делаем это чтобы EF не пытался трекать объкты полученые из хранимой процедуры
            base.OnModelCreating(modelBuilder);

            modelBuilder.Entity<CvkData>(entity =>
            {
                entity.HasNoKey();
                entity.ToView(null);
            });

            modelBuilder.Entity<PtkData>(entity =>
            {
                entity.HasNoKey();
                entity.ToView(null);
            });
            modelBuilder.Entity<RegEKData>(entity =>
            {
                entity.HasNoKey();
                entity.ToView(null);
            });
            modelBuilder.Entity<StoData>(entity =>
            {
                entity.HasNoKey();
                entity.ToView(null);
            });
            modelBuilder.Entity<OrgData>(entity =>
            {
                entity.HasNoKey();
                entity.ToView(null);
            });
        }
    }
}
